// Checks that multiple `impl trait` in a row are valid.

use impl_trait::impl_trait;

struct Foo;
trait Bar {
}
trait Baz {
}

impl_trait! {
    impl Foo {
        impl trait Bar {
        }
        impl trait Baz {
        }
    }
}

fn static_assert_1<T: Bar>(_t: T) {}
fn static_assert_2<T: Baz>(_t: T) {}

fn main() {
    static_assert_1(Foo);
    static_assert_2(Foo);
}
